#
# spec file for package python-xlrd
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without tests

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-xlrd
Version:        1.0.0
Release:        19.1
Url:            http://www.lexicon.net/sjmachin/xlrd.htm
Summary:        Library for Developers to Extract Data From Microsoft Excel Spreadsheet Files
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/x/xlrd/xlrd-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
%if %{with tests}
BuildRequires:  %{python_module nose}
%endif
BuildArch:      noarch
%python_subpackages

%description
Extract data from new and old Excel spreadsheets on any platform. Pure Python
(2.1 to 2.6). Strong support for Excel dates. Unicode-aware.

%prep
%setup -q -n xlrd-%{version}

%build
%python_build

%install
%python_install
mv %{buildroot}%{_bindir}/runxlrd.py %{buildroot}%{_bindir}/runxlrd

%if %{with tests}
%check
%python_expand nosetests-%{$python_bin_suffix}
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc HISTORY.html README.md 
%python3_only %{_bindir}/runxlrd
%{python_sitelib}/*

%changelog
* Wed May  3 2017 toddrme2178@gmail.com
- Fix license
- Executable is python version independent so make it python3-only.
* Wed Apr 19 2017 toddrme2178@gmail.com
- Source url must be https.
* Tue Apr 18 2017 toddrme2178@gmail.com
- Update to 1.0.0
  * Official support, such as it is, is now for 2.6, 2.7, 3.3+
  * Fixes a bug in looking up non-lowercase sheet filenames by
    ensuring that the sheet targets are transformed the same way
    as the component_names dict keys.
  * Fixes a bug for ragged_rows=False when merged cells increases
    the number of columns in the sheet. This requires all rows
    to be extended to ensure equal row lengths that match the
    number of columns in the sheet.
  * Fixes to enable reading of SAP-generated .xls files.
  * support BIFF4 files with missing FORMAT records.
  * support files with missing WINDOW2 record.
  * Empty cells are now always unicode strings, they were a
    bytestring on Python 2 and a unicode string on Python 3.
  * Fix for <cell> inlineStr attribute without <si> child.
  * Fix for a zoom of None causing problems on Python 3.
  * Fix parsing of bad dimensions.
  * Fix xlsx sheet to comments relationship.
- Implement single-spec version.
* Thu Oct 29 2015 scorot@free.fr
- Update to 0.9.4
  * No changelog available
* Tue Apr 30 2013 toddrme2178@gmail.com
- Remove unnecessary .py extension from executable
- Fix python2/python3 executable name conflict
* Tue Apr 16 2013 jfunk@funktronics.ca
- Update to 0.9.2:
  - Bug fixes
- Changes from 0.9.1:
  * Removed support for Python < 2.6
  * Bug fixes
- Changes from 0.9.0:
  * Python3 support
  * Expanded tests
  * Bug fixes
- Spec cleanup
* Tue Nov 13 2012 jfunk@funktronics.ca
- Update to 0.8.0
  * This release finally lands the support for both .xls and .xlsx files. Many
    thanks to John Machin for all his work on making this happen. Opening of
    .xlsx files is seamless, just use xlrd as you did before and it all should
    "just work".
  * xlrd 0.8.0 is also the first release that that targets Python 2.6 and 2.7,
    but no Python 3 just yet. Python 2.5 and below may work but are not
    supported. If you need to use Python 2.5 or earlier, please stick to xlrd
    0.7.x.
* Fri Apr 27 2012 jfunk@funktronics.ca
- Update to 0.7.7
  * Changelog information unavailable
* Fri Apr  6 2012 jfunk@funktronics.ca
- Update to 0.7.6:
  * Changelog information unavailable
* Tue Feb 28 2012 jfunk@funktronics.ca
- Update to 0.7.3
* Tue Feb 21 2012 jfunk@funktronics.ca
- Update to 0.7.2
- Update spec for current conventions
* Wed May 12 2010 jfunk@funktronics.ca
- Initial release
